Sign inGet started

Create a list

POST
/workspaces/{workspaceId}/lists
This endpoint is used to create a new contact list. A contact list can be used to group contacts together.
Parametri di percorso
workspaceId
string
The unique identifier of the workspace.
Payload della richiesta
name
string
obbligatorio
Name
description
string
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
Payload della risposta
id
string
obbligatorio
The unique identifier for the list.
name
string
obbligatorio
The name of the list.
description
string
obbligatorio
The description of the list.
createdAt
string
updatedAt
string
contactCount
integer
The number of contacts in the list.
consentType
string
The consent type for the list.
Possible values: single, double
tags
array of string
The tags associated with the list.
isProof
boolean
The list is used as a proof list to use it as a test list in campaigns.
counter
object
Mostra attributi secondari
counter.count
integer
obbligatorio
counter.updatedAt
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/lists' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Let's establish some of our data that will be used in the following examples:
  • Workspace ID: a1405560-c8d3-4b1a-877d-3f449ad95352
  • AccessKey: abcd

Create a list

In this example, we're creating a list.
Esempio di codice
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "name": "US Customers",
  "description": "US Customers", 
  "consentType": "single",
  "tags": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}'